Subject: [Int-area] Re: [Mip6] RE: A New BoF [16ng BoF: IPv6 over IEEE 802.16(e) Networks]

From: 장희진 <[email-masked]>
Date: Tue, 27 Sep 2005 10:54:20 +0900

The first goal might be to run IPv6 basic operation over 802.16/(e).
Additionally, based on that, the interaction betwwen 802.16e and IPv6 for the seamless IPv6 mobility could fall in the scope as written in the charter. :)

-from a part of the charter -
As for fast mobility, the characteristics of IEEE 802.16e link-layer operation may require an amendment to the Fast Handover Mobile IPv6 scheme (RFC 4068), something which may be pursued in the MIPSHOP WG.

----- Original Message ----- 

General question - I know that the WiMax forum is working on more things
than just IP over 802-16e (etc.).  You mention, for example, AAA, in the
description.  Are you looking at more than just running IP over 802.16e
or something more?

John 

>-----Original Message-----
>From: [email-masked] [mailto:[email-masked]] On 
>Behalf Of ext Soohong Daniel Park
>Sent: 27 September, 2005 02:09
>To: IPv6 WG; IPv6-Ops Area; Int-area ML; IETF ML; MIPSHOP WG; MIP6 WG
>Cc: [email-masked]
>Subject: A New BoF [16ng BoF: IPv6 over IEEE 802.16(e) Networks]
>
>Folks,
>
>We would like to announce a BoF at the upcoming IETF, leading 
>to identify what limitations and considerations apply to IPv6 
>adoption over IEEE 802.16(e), and to propose available 
>solutions. A mailing list is set up at 
>[email-masked] and a proposed description is below.
>
>==========================================
>
>IPv6 over IEEE 802.16(e) Networks BoF (16ng)
>
>
>CHAIRS:
>
>Soohong Daniel Park<[email-masked]> Gabriel 
>Montenegro<[email-masked]>
>
>
>DESCRIPTION:
>
>Broadband Wireless Access Network addresses the inadequacies 
>of low bandwidth wireless communication for user requirements 
>such as high quality data/voice service, fast mobility, wide 
>coverage, etc. The IEEE 802.16 Working Group on Broadband 
>Wireless Access Standards develops standards and recommended 
>practices to support the development and deployment of 
>broadband Wireless Metropolitan Area Networks. In addition, 
>IEEE 802.16e supports mobility over IEEE 802.16 as an 
>amendment to the IEEE 802.16 specification. 
>
>Recently, much work is in progress by the WiMAX Forum. In 
>particular, its NWG (Network Working Group) is responsible for 
>the IEEE 802.16(e) network architecture (e.g., IPv4, IPv6, 
>Mobility, Interworking with different networks, AAA, etc). The 
>NWG is thus taking on work at layers above those defined by 
>the IEEE 802 standards (typically limited to the physical and 
>link layers only). Similarly, WiBro (Wireless Broadband) is a 
>Korean effort based on the IEEE 802.16e specification which 
>focuses on the 2.3 GHz spectrum band.
>
>IEEE 802.16(e) is different from existing wireless access 
>technologies such as  IEEE 802.11 or 3G. Accordingly, the use 
>of IP over an IEEE 802.16(e) link is currently undefined, and 
>will benefit from IETF input and specification. For example, 
>even though Neighbor Discovery has been specified to work over 
>point-to-point type links (e.g., as available in 3G), it 
>applies most naturally to link technologies capable of native 
>multicasing. Thus, it is not yet clear how it would work over 
>IEEE 802.16(e) networks. Even though these supports a PMP 
>(Point-to-Multipoint) mode, there is no provision for 
>multicasting IP packets, hindering the basic standard IPv6 
>operation. An IEEE 802.16(e) connection for IP packet transfer 
>is a point-to-point unidirectional mapping between medium 
>access control layers at the ubscriber station and the base 
>station. This eventually requires convergence protocols to 
>emulate the desired service on network entities such as base 
>stations, which may limit IPv6 features. As for fast mobility, 
>the characteristics of IEEE 802.16e link-layer operation may 
>require an amendment to the Fast Handover Mobile IPv6 scheme 
>(RFC 4068), something which may be pursued in the MIPSHOP WG.
>
>The principal objective of the 16ng BoF is to identify what 
>limitations and considerations apply to IPv6 adoption over 
>IEEE 802.16(e), and to propose available solutions. The 
>working group may issue recommendations to IEEE 802.16(e) 
>suggesting protocol modifications for better IP support. 
>
>In 2006, WiBro deployment will begin, and the WiMAX Forum is 
>slated to specify IPv6 operation over IEEE 802.16(e) in 2006. 
>Accordingly, the working group will work and coordinate with 
>the WiMAX Forum and with the WiBro efforts.
>
> 
>MAILING LIST: 
>
>General Discussion: [email-masked] To Subscribe: 
>http://eeca16.sogang.ac.kr/mailman/listinfo/16ng
>Archive: http://eeca16.sogang.ac.kr/pipermail/16ng 
>
>
>REFERENCES:
>
>http://www.ietf.org/internet-drafts/draft-jang-mipshop-fh80216e-00.txt
>http://www.watersprings.org/pub/id/draft-jin-ipv6-over-ieee802.
>16-00.txt
>http://www.ietf.org/internet-drafts/draft-jee-mip4-fh80216e-00.txt 
>IPv6 over IEEE 802.16(e) Networks Problem Statements (coming soon) 
>
>
>Regards,
>
>Gabriel & Daniel 
>16ng BoF co-chairs
>

_______________________________________________
Mip6 mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mip6

_______________________________________________
Int-area mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/int-area

---

From: Jeff Mandin <[email-masked]>
Date: Wed, 28 Sep 2005 00:31:40 +0200

For the "IP over .16" BoF activity, the 802.16-2004 standard
(available for free at http://www.ieee802.org/16/pubs/80216-2004.html
) will almost certainly be sufficient.

The 16e mobility amendment becomes relevant when fast handovers are
involved.  I know that there are IEEE copyright issues etc. involved
but will try to look into it.

- Jeff Mandin

On 9/27/05, Erik Nordmark <[email-masked]> wrote:
> gabriel montenegro wrote:
> > [Reducing the number of aliases...]
> >
> > Erik,
> >
> > WiMax Forum documents are only available to members, so no luck there.
> > But this BoF is mostly about IEEE 802.16. The IEEE's "Get IEEE" service
> > offers access to some of the relevant documents (those that have been
> > published for some time, 6 months, I believe). So you can fetch some
> > relevant docs here:
> >
> > http://standards.ieee.org/getieee802/802.16.html
> >
> > Unfortunately, that does not yet include the mobile ammendment (16e).
>
> Hmm - that makes it hard for IETF participants to understand what the
> BoF is about.
>
> Has anybody contacted IEEE 802.16 and explained that the IETF is looking
> at this activity, and request that they make the 16e document available
> to the BoF participants?
>
>     Erik
>
> Mipshop mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/mipshop
>

---

From: Jeff Mandin <[email-masked]>
Date: Tue, 27 Sep 2005 18:52:04 +0200

Daniel,

It's good to see this work moving forward.  However, the problem
statement and characterization of the 802.16 MAC that appears in the
charter is not correct:

 * 802.16 is in fact capable of native multicasting in the downlink
(see for example 802.16e section 11.9.35)

 * 802.16 has a built-in "802.3 Convergence Sublayer" which enables
the point-to-multipoint network to emulate a large LAN (with the
option of broadcast filtering).  This faciliitates IPv6 operation
(including ND), but has the (possible) cost of some extra bytes of
overhead.

Below is an amended third paragraph:

" IEEE 802.16(e) is different from existing wireless access
technologies such as IEEE 802.11 or 3G.  Accordingly, while 802.16
defines the encapsulation of an IP datagram in an IEEE 802.16 MAC
payload, complete description of IP operation is not present and can
benefit from IETF input and specification.

For example: immediately subsequent to network entry an 802.16
subscriber station has no capability whatsoever for data (as opposed
to management) connectivity.  The criteria by which the Base Station
(or other headend elements) set up the 802.16 MAC connections for data
transport is not part of the 802.16 standard and depends on the type
of data services being offered (ie. the set up of transport
connections will be different for IPv4 and IPv6 services).
Additionally - as 802.16 is a point-to-multipoint network - an 802.16
subscriber station is not capable of broadcasting (eg. for neighbor
discovery) or direct communication to the other nodes in the network.
While the built-in LAN emulation feature of 802.16 ("802.3 Convergence
Sublayer") rectifies this, it may involve additional packet overhead.
As for fast mobility, the characteristics of IEEE 802.16e link-layer
operation may require an amendment to the Fast Handover Mobile IPv6
scheme (RFC 4068), something which may be pursued in the MIPSHOP WG."

Regards,

- Jeff Mandin

> Folks,
>
> We would like to announce a BoF at the upcoming IETF, leading to 
> identify what limitations and considerations apply to IPv6 adoption 
> over IEEE 802.16(e), and to propose available solutions. A mailing 
> list is set up at [email-masked] 
> <mailto:[email-masked]> and a proposed description is below.
>
> Soohong Daniel Park<[email-masked] 
> <mailto:[email-masked]>>
> Gabriel Montenegro<[email-masked] 
> <mailto:[email-masked]>>
>
>
> DESCRIPTION:
>
> Broadband Wireless Access Network addresses the inadequacies of low 
> bandwidth wireless communication for user requirements such as high 
> quality data/voice service, fast mobility, wide coverage, etc. The 
> IEEE 802.16 Working Group on Broadband Wireless Access Standards 
> develops standards and recommended practices to support the 
> development and deployment of broadband Wireless Metropolitan Area 
> Networks. In addition, IEEE 802.16e supports mobility over IEEE 802.16 
> as an amendment to the IEEE 802.16 specification.
>
> Recently, much work is in progress by the WiMAX Forum. In particular, 
> its NWG (Network Working Group) is responsible for the IEEE 802.16(e) 
> network architecture (e.g., IPv4, IPv6, Mobility, Interworking with 
> different networks, AAA, etc). The NWG is thus taking on work at 
> layers above those defined by the IEEE 802 standards (typically 
> limited to the physical and link layers only). Similarly, WiBro 
> (Wireless Broadband) is a Korean effort based on the IEEE 802.16e 
> specification which focuses on the 2.3 GHz spectrum band.
>
> IEEE 802.16(e) is different from existing wireless access technologies 
> such as  IEEE 802.11 or 3G. Accordingly, the use of IP over an IEEE 
> 802.16(e) link is currently undefined, and will benefit from IETF 
> input and specification. For example, even though Neighbor Discovery 
> has been specified to work over point-to-point type links (e.g., as 
> available in 3G), it applies most naturally to link technologies 
> capable of native multicasing. Thus, it is not yet clear how it would 
> work over IEEE 802.16(e) networks. Even though these supports a PMP 
> (Point-to-Multipoint) mode, there is no provision for multicasting IP 
> packets, hindering the basic standard IPv6 operation. An IEEE 
> 802.16(e) connection for IP packet transfer is a point-to-point 
> unidirectional mapping between medium access control layers at the 
> ubscriber station and the base station. This eventually requires 
> convergence protocols to emulate the desired service on network 
> entities such as base stations, which may limit IPv6 features. As for 
> fast mobility, the characteristics of IEEE 802.16e link-layer 
> operation may require an amendment to the Fast Handover Mobile IPv6 
> scheme (RFC 4068), something which may be pursued in the MIPSHOP WG.
>
> limitations and considerations apply to IPv6 adoption over IEEE 
> 802.16(e), and to propose available solutions. The working group may 
> issue recommendations to IEEE 802.16(e) suggesting protocol 
> modifications for better IP support.
>
> In 2006, WiBro deployment will begin, and the WiMAX Forum is slated to 
> specify IPv6 operation over IEEE 802.16(e) in 2006. Accordingly, the 
> working group will work and coordinate with the WiMAX Forum and with 
> the WiBro efforts.
>
>
> MAILING LIST:
>
> General Discussion: [email-masked] 
> <mailto:[email-masked]>
> To Subscribe: http://eeca16.sogang.ac.kr/mailman/listinfo/16ng 
> <http://eeca16.sogang.ac.kr/mailman/listinfo/16ng>
> <http://eeca16.sogang.ac.kr/pipermail/16ng>
>
>
> REFERENCES:
>
> <http://www.ietf.org/internet-drafts/draft-jang-mipshop-fh80216e-00.txt>
> http://www.watersprings.org/pub/id/draft-jin-ipv6-over-ieee802.16-00.txt 
> <http://www.watersprings.org/pub/id/draft-jin-ipv6-over-ieee802.16-00.txt>
> <http://www.ietf.org/internet-drafts/draft-jee-mip4-fh80216e-00.txt>

---

From: Danny Mayer <[email-masked]>
Date: Wed, 28 Sep 2005 08:38:41 -0400

Eastlake III Donald-LDE008 wrote:
> Ooops, I didn't dig down quite enough at
> http://www.ili-info.com/ieee802drafts/. Although the draft is
> available there, it costs money. Members of 802.16 or other 802
> working groups that share access can get drafts via the private
> 802.16 drafts page.
> 
> Donald
> 

It seems to me that IETF should require that all documents required for 
discussion by a WG should be freely available. It's hard to imagine 
discussing something that you can't read. It certainly not something 
that working group members should have to pay for.

Danny